Skip to main content
GET
/
stores
/
{storeId}
/
categories
/
{categoryId}
Get category
curl --request GET \
  --url https://api.pandabase.io/v2/storefront/stores/{storeId}/categories/{categoryId}
{
  "ok": true,
  "data": {
    "id": "<string>",
    "name": "<string>",
    "slug": "<string>",
    "displayOrder": 123,
    "featured": true,
    "showInNavigation": true,
    "children": [
      {
        "id": "<string>",
        "name": "<string>",
        "slug": "<string>"
      }
    ],
    "products": [
      {
        "id": "<string>",
        "title": "<string>",
        "handle": "<string>",
        "price": 123,
        "images": [
          "<string>"
        ],
        "inStock": true
      }
    ],
    "description": "<string>",
    "icon": "<string>",
    "parentId": "<string>",
    "metaTitle": "<string>",
    "metaDescription": "<string>"
  }
}

Path Parameters

storeId
string
required

Store ID (shp_ prefix)

categoryId
string
required

Category ID (ctg_ prefix)

Response

Category details

ok
boolean
required
data
object
required